跳转到主要内容
POST
/
suno
/
v2
/
mdi
download mdi data
curl --request POST \
  --url https://api.mountsea.ai/suno/v2/mdi \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clip_id": "<string>"
}
'
{
  "taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}
下载音频片段的 MDI(MIDI)数据。clip_id 必须是通过 Generate 端点的 gen_stem_all 任务返回的片段。
此端点仅适用于通过 gen_stem_all 任务生成的片段。使用普通片段 ID 将会导致错误。
这是一个异步任务。响应包含一个 taskId — 使用获取任务状态轮询以获取 MDI 下载链接。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
clip_id
string
必填

The clip_id which used to generate the mdi, it must be the clip_id returned by the task gen_stem_all.

响应

201 - application/json
taskId
string
必填

task id. Use this id to query task status.

示例:

"15c257ff-43f7-4678-bd41-202ad6b8488b"